Contenido
Índice 🔎︎

# Parámetros de inicio de Java

Puede utilizar este diálogo para especificar parámetros de inicio opcionales para el entorno de ejecución de Java (JRE). Las opciones que especifique en este diálogo serán válidas para cualquier JRE que inicie.

Para acceder a esta orden…

Vaya a LibreOffice ▸ Preferencias Herramientas ▸ Opciones ▸ LibreOffice ▸ Avanzado.

## Parámetro de inicio de Java

Escriba un parámetro de inicio para un entorno JRE, como lo haría en una línea de comandos. Haga clic en Asignar para agregar el parámetro a la lista de parámetros de inicio disponibles.

Los nombres de ruta no admiten caracteres de escape ni comillas.

Por ejemplo, para que la propiedad del sistema "myprop" apunte a una carpeta, escriba el parámetro siguiente:

-Dmyprop=c:\Archivos de programa\java

Para activar la depuración en JRE, escriba los parámetros siguientes:

-Xdebug

-Xrunjdwp:transport=dt_socket,server=y,address=8000

Estos cambios surten efecto al reiniciar LibreOffice.

### Parámetros de inicio asignados

Lista los parámetros de inicio de JRE asignados. Para quitar un parámetro de inicio, seleccione el parámetro y haga clic en Quitar.

### Añadir

Añade el parámetro de inicio del JRE actual a la lista.

### Modificar

Abre un cuadro de diálogo para modificar los parámetros de inicio del JRE seleccionado.

### Quitar

Elimina el parámetro de inicio del JRE seleccionado.